/*
 * API documentation
 * No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)
 *
 * OpenAPI spec version: 1.0.0-20181108155220-20181108155343
 * Contact: api.move@axa-assistance.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */


package io.insurance.bn.starter.model;

import com.google.gson.annotations.SerializedName;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * Model269
 */
@javax.annotation.Generated(value = "io.swagger.codegen.languages.JavaClientCodegen", date = "2018-12-19T23:23:06.995+01:00")
public class Model269 {
  @SerializedName("external_policy_number")
  private String externalPolicyNumber = null;

  @SerializedName("subscription_country")
  private String subscriptionCountry = null;

  @SerializedName("payment")
  private Model186 payment = null;

  public Model269 externalPolicyNumber(String externalPolicyNumber) {
    this.externalPolicyNumber = externalPolicyNumber;
    return this;
  }

   /**
   * External policy identifier that can be provided by the partner.
   * @return externalPolicyNumber
  **/
  @ApiModelProperty(value = "External policy identifier that can be provided by the partner.")
  public String getExternalPolicyNumber() {
    return externalPolicyNumber;
  }

  public void setExternalPolicyNumber(String externalPolicyNumber) {
    this.externalPolicyNumber = externalPolicyNumber;
  }

  public Model269 subscriptionCountry(String subscriptionCountry) {
    this.subscriptionCountry = subscriptionCountry;
    return this;
  }

   /**
   * Country where the customer subscribes the policy, ISO-3166-1 alpha-2 format (2 letter codes).
   * @return subscriptionCountry
  **/
  @ApiModelProperty(example = "fr", required = true, value = "Country where the customer subscribes the policy, ISO-3166-1 alpha-2 format (2 letter codes).")
  public String getSubscriptionCountry() {
    return subscriptionCountry;
  }

  public void setSubscriptionCountry(String subscriptionCountry) {
    this.subscriptionCountry = subscriptionCountry;
  }

  public Model269 payment(Model186 payment) {
    this.payment = payment;
    return this;
  }

   /**
   * Get payment
   * @return payment
  **/
  @ApiModelProperty(value = "")
  public Model186 getPayment() {
    return payment;
  }

  public void setPayment(Model186 payment) {
    this.payment = payment;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    Model269 model269 = (Model269) o;
    return Objects.equals(this.externalPolicyNumber, model269.externalPolicyNumber) &&
        Objects.equals(this.subscriptionCountry, model269.subscriptionCountry) &&
        Objects.equals(this.payment, model269.payment);
  }

  @Override
  public int hashCode() {
    return Objects.hash(externalPolicyNumber, subscriptionCountry, payment);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class Model269 {\n");
    
    sb.append("    externalPolicyNumber: ").append(toIndentedString(externalPolicyNumber)).append("\n");
    sb.append("    subscriptionCountry: ").append(toIndentedString(subscriptionCountry)).append("\n");
    sb.append("    payment: ").append(toIndentedString(payment)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}

